SdFat

Public Attributes | List of all members
masterBootRecord Struct Reference

Master Boot Record. More...

`#include <FatStructs.h>`

Collaboration diagram for masterBootRecord:
[legend]

## Public Attributes
uint8_t | codeArea [440]
uint32_t | diskSignature
uint8_t | mbrSig0
uint8_t | mbrSig1
part_t | part [4]
uint16_t | usuallyZero

## Detailed Description

Master Boot Record.

The first block of a storage device that is formatted with a MBR.

## Member Data Documentation

## ◆ codeArea

uint8_t masterBootRecord::codeArea[440]

Code Area for master boot program.

## ◆ diskSignature

uint32_t masterBootRecord::diskSignature

Optional Windows NT disk signature. May contain boot code.

## ◆ mbrSig0

uint8_t masterBootRecord::mbrSig0

First MBR signature byte. Must be 0X55

## ◆ mbrSig1

uint8_t masterBootRecord::mbrSig1

Second MBR signature byte. Must be 0XAA

## ◆ part

part_t masterBootRecord::part[4]

Partition tables.

## ◆ usuallyZero

uint16_t masterBootRecord::usuallyZero

Usually zero but may be more boot code.

The documentation for this struct was generated from the following file:

- Arduino/libraries/SdFat/src/FatLib/FatStructs.h